package cn.com.countrygarden.bi.main.dao.wcx;


import cn.com.countrygarden.bi.main.dto.wcx.WcxReviewDto;
import cn.com.countrygarden.bi.main.model.wcx.WcxReview;

import java.util.List;

public interface WcxReviewMapper {
    int insert(WcxReview wcxReview);

    List<WcxReviewDto> selectPageData(WcxReviewDto dto);

    Integer selectPageCount(WcxReviewDto dto);

    void deleteByPrimaryKey(String reviewId);

    void deleteByInnovationId(String innovationId);

    /**
     * 查询评论
     * @param reviewId
     * @return
     */
    WcxReviewDto findFirstDto(String reviewId);
}
